# Set which CarMaker application to load
Application exe "$env(CMAPP)"

# Start this CarMaker application
Application start

# Set the saving mode
SaveMode save_all

# If a TestSerie to simulate was specified
if $env(SIM_TS) {
	
	# Load a TestSerie
	LoadTestRun "$env(TSFNAME)"

	# -> Can be triggered by below command too, just it 
	# popups the TestMgr window too using LoadTestRun
	# TestMgr load $env(TSFNAME)

	# Start simulation of the TestSerie
	TestMgr start
	
	# Set a convenient name for the report file
	set RptFPath [string map {/ _} "$env(TSFNAME)"]
	set RptFPath [file rootname "$RptFPath"]
	set RptTime [clock format [clock seconds] -format "%Y-%m-%d_%H%M%S"]
	set RptFPath "${RptFPath}_$RptTime.pdf"
	
	# Let some time to finish to prepare the report diagrams
	after 1000
	
	# Generate the report for simulated TestSerie
	Report create "$RptFPath"
}

# If a TestRun to simulate was specified
if $env(SIM_TR) {
	
	# Load a TestRun
	LoadTestRun "$env(TRFNAME)"

	# Start simulation of the TestRun
	StartSim
	WaitForStatus running
	WaitForStatus idle
}

# Reset the saving mode
SaveMode collect_only

# Close CarMaker application
Application disconnect

# If specified that APO broker daemon must be closed
if $env(STOP_ABD) {

	# Close APO broker daemon
	exec "$env(APOBD)" -stop
}

# Close Carmaker GUI
exit
